Skip to content
Last updated

title: Update Tool Status keywords:

  • update tool status
  • patch
  • update
  • tool
  • status

Enable or disable a connector tool.

PATCHhttps://api.aitronos.com/v1/admin/composio/tools/{tool_key}/status

Path Parameters

tool_key string required

The tool key parameter.

Request Body

is_enabled boolean required

The is enabled parameter.


Returns

tool_id string

Tool Id

tool_key string

Tool Key

is_enabled boolean

Is Enabled

message string

Message

cURL
curl -X PATCH "https://api.aitronos.com/v1/admin/composio/tools/{tool_key}/status" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "is_enabled": true
}'

Response:

200 OK
{
  "tool_id": "abc123def456",
  "tool_key": "slack",
  "is_enabled": true,
  "message": "Operation completed successfully"
}